# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88"
name = "mssql-codec"
version = "0.7.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Async TDS packet framing and codec for SQL Server"
readme = "README.md"
keywords = [
    "sql-server",
    "codec",
    "async",
    "framing",
]
categories = [
    "network-programming",
    "asynchronous",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/praxiomlabs/rust-mssql-driver"

[package.metadata.cargo-machete]
ignored = ["tokio-test"]

[features]
default = []

[lib]
name = "mssql_codec"
path = "src/lib.rs"

[dependencies.bytes]
version = "1.9"

[dependencies.futures-core]
version = "0.3"

[dependencies.futures-util]
version = "0.3"
features = ["sink"]

[dependencies.pin-project-lite]
version = "0.2"

[dependencies.tds-protocol]
version = "0.7.0"

[dependencies.thiserror]
version = "2.0"

[dependencies.tokio]
version = "1.48"
features = [
    "net",
    "io-util",
    "sync",
    "time",
    "macros",
    "rt",
    "rt-multi-thread",
]

[dependencies.tokio-util]
version = "0.7"
features = ["codec"]

[dependencies.tracing]
version = "0.1"

[dev-dependencies.tokio-test]
version = "0.4"

[lints.clippy]
dbg_macro = "warn"
expect_used = "warn"
panic = "warn"
todo = "warn"
unwrap_used = "warn"

[lints.rust]
missing_docs = "warn"
unsafe_code = "deny"
